## IdeLocalDevice IdeLocalDevice |

## Properties

gchar * | arch | Read / Write / Construct Only
gchar * | kernel | Read / Write / Construct Only
gchar * | system | Read / Write / Construct Only

## Types and Values

#define | IDE_TYPE_LOCAL_DEVICE
struct | IdeLocalDeviceClass
| IdeLocalDevice

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeDevice
                ╰── IdeLocalDevice

## Description

## Functions

## Types and Values

### IDE_TYPE_LOCAL_DEVICE

    #define IDE_TYPE_LOCAL_DEVICE (ide_local_device_get_type())

### struct IdeLocalDeviceClass

    struct IdeLocalDeviceClass {
      IdeDeviceClass parent;

      gpointer _reserved[8];
    };

### IdeLocalDevice

    typedef struct _IdeLocalDevice IdeLocalDevice;

## Property Details

### The `“arch”` property

      “arch”                     gchar *

The architecture of the local device.

Flags: Read / Write / Construct Only

Default value: NULL

### The `“kernel”` property

      “kernel”                   gchar *

The kernel of the local device.

Flags: Read / Write / Construct Only

Default value: NULL

### The `“system”` property

      “system”                   gchar *

The system of the local device, such as 'gnu'.

Flags: Read / Write / Construct Only

Default value: NULL